Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class ConverterServiceImpl

    java.lang.Object
      org.richfaces.validator.FacesServiceBase<javax.faces.convert.Converter>
          org.richfaces.validator.ConverterServiceImpl

All Implemented Interfaces:
  org.richfaces.validator.FacesConverterService

    public class ConverterServiceImpl

extends FacesServiceBase<javax.faces.convert.Converter>
implements org.richfaces.validator.FacesConverterService

Author:
  asmirnov

Constructor Summary
`ConverterServiceImpl()`

Method Summary
`org.richfaces.validator.ConverterDescriptor` | `getConverterDescription(javax.faces.context.FacesContext context, javax.faces.component.EditableValueHolder input, javax.faces.convert.Converter converter, java.lang.String converterMessage)`
`protected java.lang.String` | `getMessageId(javax.faces.convert.Converter converter)`

Methods inherited from class org.richfaces.validator.FacesServiceBase
`fillParameters, getMessage, setLabelParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterServiceImpl

    public ConverterServiceImpl()

Method Detail

### getConverterDescription

    public org.richfaces.validator.ConverterDescriptor getConverterDescription(javax.faces.context.FacesContext context,
                                                                               javax.faces.component.EditableValueHolder input,
                                                                               javax.faces.convert.Converter converter,
                                                                               java.lang.String converterMessage)

  Specified by:
    `getConverterDescription` in interface `org.richfaces.validator.FacesConverterService`

### getMessageId

    protected java.lang.String getMessageId(javax.faces.convert.Converter converter)

  Specified by:
    `getMessageId` in class `FacesServiceBase<javax.faces.convert.Converter>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.